Kerbal Space Program - Bug #27234

A EVA construction bug that moves the entire craft (pretty severe)
02/08/2021 01:11 PM - Anth12

Status: Confirmed Start date: 02/09/2021
Severity: Low % Done: 10%
Assignee:
Category: Controls and Ul
Target version:
Version: 1111 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

Steam 1.11.1 + DLCs

Video Evidence.
https://youtu.be/a7RIYAhggju

How to reproduce:

1. Load CraftMoverQS.sfs (which is attached to bug report)
2. Enter EVA construction mode

3. Grab the Small I-Beam

4. Press | to get out of EVA construction

5. Press | again.

6. Grab the Small I-Beam again

This is where | saw this happening:
https://www.twitch.tv/ej_sa/clip/AgreeableSingleSangFutureMan

Note:
If the part is clipped into the craft it will cause a violent reaction
That's why | had the small I-Beam gizmoed out from it.

History

#1 - 02/08/2021 01:16 PM - Anth12

Just need to watch the first 10 seconds of the YouTube video to see what happens.

#2 - 02/08/2021 01:20 PM - Anth12

Any testing on the ground ends with explosions

#3 - 02/11/2021 11:24 PM - kewyn.ryan@gmail.com

This happened to me twice in the first days of 1.11 . | wanted to know what happened and now you showed me, thank you.

| made my own ship and tested it. It worked with an Ant, a Terrier, a cone, a small tank, but didn't work with a solar panel for some reason. Rapidly
moving the ship doesn't destroy it, but some large Kraken forces happen when the ship collides with the engineer, either by sliding the ship into him or
if you do the test while he is on the stairs. The highest forces | got accelerated Bill to 250m/s relative velocity.

#4 - 02/12/2021 07:51 AM - Krazy1

Me too. While the engineer was standing on the craft, | placed an Octo2 on a cubic octagonal strut and my whole craft was thrown and destroyed.
https://imgur.com/a/v98X8HR

#6 - 02/12/2021 07:59 PM - RafaHdz
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#8 - 02/13/2021 10:02 PM - Anth12
https://youtu.be/a7RlYAhggjU
https://www.twitch.tv/ej_sa/clip/AgreeableSingleSangFutureMan
https://imgur.com/a/v98X8HR

Same bug different part jukkamuhonen@hotmail.com
Though you did make me doubt myself for a moment (response to deleted post) so | retested with EJ_SA's part. same result

#9 - 03/09/2021 05:32 PM - Krazy1

Huge explosions happened again on a station in Mun orbit with the engineer on a ladder. Placing a part has about a 5% chance of destroying the
entire station. Happened (1) while attaching a OX-4L 1x6 panel to a Jumbo-64 fuel tank. (2) attaching an Ant engine to a cubic octagonal strut.
NOTE: for case (2) the Esc key stopped working. | couldn't access the pause menu. | had to Ctrl-Alt-Del and kill KSP. This is bad.

Added more photos to [[https://imgur.com/a/vO8X8HR]]

Also reference bug #27194

Files

CraftMoverQS.sfs 135 KB 02/08/2021 Anth12
